Index: bootcd/boot/grub/x86_64-efi/command.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/command.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/command.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,194 @@
+*acpi: acpi
+*all_functional_test: functional_test
+*background_image: gfxterm_background
+*cat: cat
+*cpuid: cpuid
+*crc: hashsum
+*cryptomount: cryptodisk
+*echo: echo
+*extract_syslinux_entries_configfile: syslinuxcfg
+*extract_syslinux_entries_source: syslinuxcfg
+*file: file
+*functional_test: functional_test
+*gettext: gettext
+*hashsum: hashsum
+*hdparm: hdparm
+*hello: hello
+*help: help
+*hexdump: hexdump
+*inb: iorw
+*inl: iorw
+*inw: iorw
+*keystatus: keystatus
+*kfreebsd: bsd
+*knetbsd: bsd
+*kopenbsd: bsd
+*list_env: loadenv
+*load_env: loadenv
+*loopback: loopback
+*ls: ls
+*lsacpi: lsacpi
+*lspci: lspci
+*md5sum: hashsum
+*menuentry: normal
+*pcidump: pcidump
+*probe: probe
+*rdmsr: rdmsr
+*read_byte: memrw
+*read_dword: memrw
+*read_word: memrw
+*regexp: regexp
+*save_env: loadenv
+*search: search
+*serial: serial
+*setpci: setpci
+*sha1sum: hashsum
+*sha256sum: hashsum
+*sha512sum: hashsum
+*sleep: sleep
+*smbios: smbios
+*submenu: normal
+*syslinux_configfile: syslinuxcfg
+*syslinux_source: syslinuxcfg
+*terminfo: terminfo
+*test_blockarg: test_blockarg
+*testspeed: testspeed
+*tr: tr
+*trust: pgp
+*verify_detached: pgp
+*xnu_splash: xnu
+*zfskey: zfscrypt
+.: configfile
+[: test
+appleloader: appleldr
+authenticate: normal
+background_color: gfxterm_background
+backtrace: backtrace
+badram: mmap
+blocklist: blocklist
+boot: boot
+break: normal
+cat: minicmd
+cbmemc: cbmemc
+chainloader: chain
+clear: normal
+cmp: cmp
+configfile: configfile
+continue: normal
+coreboot_boottime: cbtime
+cutmem: mmap
+date: date
+distrust: pgp
+dump: minicmd
+eval: eval
+exit: minicmd
+export: normal
+extract_entries_configfile: configfile
+extract_entries_source: configfile
+extract_legacy_entries_configfile: legacycfg
+extract_legacy_entries_source: legacycfg
+fakebios: loadbios
+false: true
+fix_video: fixvideo
+fwsetup: efifwsetup
+gptsync: gptsync
+halt: halt
+help: minicmd
+hexdump_random: random
+initrd16: linux16
+initrd: linux
+initrdefi: linuxefi
+keymap: keylayouts
+kfreebsd_loadenv: bsd
+kfreebsd_module: bsd
+kfreebsd_module_elf: bsd
+knetbsd_module: bsd
+knetbsd_module_elf: bsd
+kopenbsd_ramdisk: bsd
+legacy_check_password: legacycfg
+legacy_configfile: legacycfg
+legacy_initrd: legacycfg
+legacy_initrd_nounzip: legacycfg
+legacy_kernel: legacycfg
+legacy_password: legacycfg
+legacy_source: legacycfg
+linux16: linux16
+linux: linux
+linuxefi: linuxefi
+list_trusted: pgp
+loadbios: loadbios
+loadfont: font
+lscoreboot: cbls
+lsefi: lsefi
+lsefimmap: lsefimmap
+lsefisystab: lsefisystab
+lsfonts: font
+lsmmap: lsmmap
+lsmod: minicmd
+lssal: lssal
+macppcbless: macbless
+mactelbless: macbless
+module2: multiboot2
+module: multiboot
+multiboot2: multiboot2
+multiboot: multiboot
+nativedisk: nativedisk
+net_add_addr: net
+net_add_dns: net
+net_add_route: net
+net_bootp6: net
+net_bootp: net
+net_del_addr: net
+net_del_dns: net
+net_del_route: net
+net_dhcp: net
+net_get_dhcp_option: net
+net_ipv6_autoconf: net
+net_ls_addr: net
+net_ls_cards: net
+net_ls_dns: net
+net_ls_routes: net
+net_nslookup: net
+normal: normal
+normal_exit: normal
+outb: iorw
+outl: iorw
+outw: iorw
+parttool: parttool
+password: password
+password_pbkdf2: password_pbkdf2
+play: play
+read: read
+reboot: reboot
+return: normal
+rmmod: minicmd
+search.file: search_fs_file
+search.fs_label: search_label
+search.fs_uuid: search_fs_uuid
+setparams: normal
+shift: normal
+source: configfile
+terminal_input: terminal
+terminal_output: terminal
+test: test
+testload: testload
+time: time
+true: true
+usb: usbtest
+videoinfo: videoinfo
+videotest: videotest
+write_byte: memrw
+write_dword: memrw
+write_word: memrw
+wrmsr: wrmsr
+xnu_devprop_load: xnu
+xnu_kernel64: xnu
+xnu_kernel: xnu
+xnu_kext: xnu
+xnu_kextdir: xnu
+xnu_mkext: xnu
+xnu_ramdisk: xnu
+xnu_resume: xnu
+xnu_uuid: xnu_uuid
+zfs-bootfs: zfsinfo
+zfsinfo: zfsinfo
Index: bootcd/boot/grub/x86_64-efi/crypto.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/crypto.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/crypto.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,45 @@
+RIJNDAEL: gcry_rijndael
+RIJNDAEL192: gcry_rijndael
+RIJNDAEL256: gcry_rijndael
+AES128: gcry_rijndael
+AES-128: gcry_rijndael
+AES-192: gcry_rijndael
+AES-256: gcry_rijndael
+ADLER32: adler32
+CRC64: crc64
+ARCFOUR: gcry_arcfour
+BLOWFISH: gcry_blowfish
+CAMELLIA128: gcry_camellia
+CAMELLIA192: gcry_camellia
+CAMELLIA256: gcry_camellia
+CAST5: gcry_cast5
+CRC32: gcry_crc
+CRC32RFC1510: gcry_crc
+CRC24RFC2440: gcry_crc
+DES: gcry_des
+3DES: gcry_des
+DSA: gcry_dsa
+IDEA: gcry_idea
+MD4: gcry_md4
+MD5: gcry_md5
+RFC2268_40: gcry_rfc2268
+AES: gcry_rijndael
+AES192: gcry_rijndael
+AES256: gcry_rijndael
+RIPEMD160: gcry_rmd160
+RSA: gcry_rsa
+SEED: gcry_seed
+SERPENT128: gcry_serpent
+SERPENT192: gcry_serpent
+SERPENT256: gcry_serpent
+SHA1: gcry_sha1
+SHA224: gcry_sha256
+SHA256: gcry_sha256
+SHA512: gcry_sha512
+SHA384: gcry_sha512
+TIGER192: gcry_tiger
+TIGER: gcry_tiger
+TIGER2: gcry_tiger
+TWOFISH: gcry_twofish
+TWOFISH128: gcry_twofish
+WHIRLPOOL: gcry_whirlpool
Index: bootcd/boot/grub/x86_64-efi/fs.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/fs.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/fs.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,37 @@
+affs
+afs
+bfs
+btrfs
+cbfs
+cpio
+cpio_be
+exfat
+ext2
+f2fs
+fat
+hfs
+hfsplus
+iso9660
+jfs
+minix
+minix2
+minix2_be
+minix3
+minix3_be
+minix_be
+newc
+nilfs2
+ntfs
+odc
+procfs
+reiserfs
+romfs
+sfs
+squash4
+tar
+udf
+ufs1
+ufs1_be
+ufs2
+xfs
+zfs
Index: bootcd/boot/grub/x86_64-efi/grub.cfg
===================================================================
--- bootcd/boot/grub/x86_64-efi/grub.cfg	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/grub.cfg	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,12 @@
+insmod part_acorn
+insmod part_amiga
+insmod part_apple
+insmod part_bsd
+insmod part_dfly
+insmod part_dvh
+insmod part_gpt
+insmod part_msdos
+insmod part_plan
+insmod part_sun
+insmod part_sunpc
+configfile /boot/grub/grub.cfg
Index: bootcd/boot/grub/x86_64-efi/moddep.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/moddep.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/moddep.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,266 @@
+xfs: fshelp
+fshelp:
+videotest_checksum: video_fb font functional_test
+relocator: mmap
+procfs: archelp
+offsetio:
+lsefisystab:
+loadbios:
+gcry_seed: crypto
+ufs2:
+tr: extcmd
+lsacpi: extcmd acpi
+gfxterm_background: extcmd gfxterm bitmap video video_colors bitmap_scale
+file: offsetio extcmd elf macho
+xnu_uuid: gcry_md5
+part_sunpc:
+extcmd:
+echo: extcmd
+btrfs: gzio lzopio raid6rec zstd
+read:
+priority_queue:
+lsefimmap:
+gcry_dsa: mpi pgp
+ctz_test: functional_test
+cbls: cbtable
+zfs: gzio
+progress: normal
+minix:
+setjmp:
+macbless: disk
+hfspluscomp: gzio hfsplus
+gcry_rsa: mpi pgp
+cat: extcmd
+videotest: font video gfxmenu
+sleep: extcmd normal
+reiserfs: fshelp
+lspci: extcmd
+div:
+video_cirrus: video_fb video
+testload:
+search_fs_uuid:
+part_dvh:
+gcry_md5: crypto
+gcry_arcfour: crypto
+ufs1_be:
+part_acorn:
+iorw: extcmd
+gfxterm: font video
+cpio_be: archelp
+scsi:
+memdisk:
+fixvideo:
+crc64: crypto
+ata: scsi
+tpm: verifiers
+multiboot2: relocator boot net acpi linux video mmap
+gcry_idea: crypto
+cpuid: extcmd
+cmp_test: functional_test
+video_fb:
+sfs: fshelp
+zfscrypt: extcmd zfs crypto pbkdf2 gcry_rijndael gcry_sha1
+video_bochs: video_fb video
+udf: fshelp
+datehook: datetime normal
+adler32: crypto
+setjmp_test: setjmp functional_test
+ntfscomp: ntfs
+nativedisk:
+eval: normal
+videoinfo: video
+verifiers:
+pbkdf2: crypto
+password_pbkdf2: crypto pbkdf2 normal gcry_sha512
+font: bufio video
+datetime:
+crypto:
+strtoull_test: functional_test
+pcidump: extcmd
+mdraid09_be: diskfilter
+shim_lock: verifiers
+normal: extcmd verifiers crypto boot bufio gettext terminal
+tftp: priority_queue net
+gcry_whirlpool: crypto
+fat: fshelp
+setpci: extcmd
+boot:
+ufs1:
+cpio: archelp
+chain: boot net linuxefi efinet
+cbmemc: normal terminfo cbtable
+tga: bufio bitmap
+spkmodem: terminfo
+odc: archelp
+usbserial_pl2303: usb serial usbserial_common
+regexp: extcmd normal
+password: crypto normal
+ntfs: fshelp
+net: priority_queue datetime boot bufio
+loadenv: extcmd disk
+gzio: gcry_crc
+ehci: boot cs5536 usb
+archelp:
+kernel:
+usbtest: usb
+linuxefi: boot linux
+gptsync: disk
+date: datetime normal
+xnu: relocator extcmd verifiers boot random bitmap video mmap bitmap_scale macho
+mul_test: functional_test
+bufio:
+acpi: extcmd mmap
+png: bufio bitmap
+minix2:
+cs5536:
+linux: relocator verifiers boot video mmap
+gcry_des: crypto
+gcry_blowfish: crypto
+part_plan:
+part_bsd: part_msdos
+lvm: diskfilter
+lsefi:
+gcry_tiger: crypto
+blocklist:
+xzio: crypto
+usb_keyboard: usb keylayouts
+nilfs2: fshelp
+lsmmap: mmap
+gcry_cast5: crypto
+backtrace:
+appleldr: boot
+testspeed: extcmd normal
+squash4: fshelp gzio xzio lzopio
+msdospart: disk parttool
+lzopio: crypto
+gfxterm_menu: procfs video_fb font normal functional_test
+gcry_sha256: crypto
+usb:
+pata: ata
+affs: fshelp
+syslinuxcfg: extcmd normal
+random: hexdump
+part_amiga:
+play:
+part_apple:
+mpi: crypto
+keylayouts:
+jpeg: bufio bitmap
+gcry_rmd160: crypto
+efifwsetup:
+cbfs: archelp
+time:
+lssal:
+loopback: extcmd
+disk:
+at_keyboard: boot keylayouts
+true:
+test:
+part_sun:
+part_msdos:
+morse:
+http: net
+part_gpt:
+elf:
+diskfilter:
+bitmap:
+cmp:
+uhci: usb
+ls: extcmd normal
+search: extcmd search_fs_uuid search_fs_file search_label
+raid6rec: diskfilter
+minix3_be:
+memrw: extcmd
+cbtime: cbtable
+zstd:
+raid5rec: diskfilter
+rdmsr: extcmd
+hello: extcmd
+video:
+shift_test: functional_test
+minix2_be:
+hashsum: extcmd crypto normal
+video_colors:
+mdraid1x: diskfilter
+gcry_twofish: crypto
+gcry_sha512: crypto
+cryptodisk: procfs extcmd crypto
+parttool: normal
+ohci: boot cs5536 usb
+mmap:
+minix3:
+gfxmenu: gfxterm font normal bitmap video video_colors bitmap_scale trig
+dm_nv: diskfilter
+search_fs_file:
+luks: crypto pbkdf2 cryptodisk
+ldm: part_msdos diskfilter part_gpt
+hfsplus: fshelp
+hfs: fshelp
+hexdump: extcmd
+gettext:
+gcry_rijndael: crypto
+aout:
+terminal:
+probe: extcmd
+functional_test: extcmd btrfs video_fb video
+minicmd:
+geli: crypto pbkdf2 gcry_sha256 cryptodisk gcry_sha512
+gcry_rfc2268: crypto
+f2fs: fshelp
+ext2: fshelp
+bsd: relocator extcmd gcry_md5 cpuid crypto verifiers boot elf video mmap aout serial
+terminfo: extcmd
+legacy_password_test: functional_test legacycfg
+gcry_crc: crypto
+gcry_camellia: crypto
+bitmap_scale: bitmap
+part_dfly:
+efinet: net
+cbtable:
+usbms: scsi usb
+sleep_test: datetime functional_test
+div_test: div functional_test
+zfsinfo: zfs
+wrmsr:
+newc: archelp
+multiboot: relocator boot net linux video mmap
+linux16: relocator boot linux video mmap
+keystatus: extcmd
+jfs:
+gcry_md4: crypto
+mdraid09: diskfilter
+iso9660: fshelp
+cmdline_cat_test: procfs video_fb font normal functional_test
+bswap_test: functional_test
+afs: fshelp
+search_label:
+reboot:
+pgp: extcmd verifiers crypto mpi gcry_sha1
+efi_gop: video_fb video
+xnu_uuid_test: functional_test
+test_blockarg: extcmd normal
+serial: extcmd terminfo
+configfile: normal
+romfs: fshelp
+minix_be:
+help: extcmd normal
+halt: acpi
+gcry_sha1: crypto
+usbserial_usbdebug: usb serial usbserial_common
+usbserial_ftdi: usb serial usbserial_common
+hdparm: extcmd hexdump
+trig:
+tar: archelp
+legacycfg: gcry_md5 crypto normal password
+ahci: ata boot
+pbkdf2_test: pbkdf2 functional_test gcry_sha1
+macho:
+efi_uga: video_fb video
+smbios: extcmd
+signature_test: procfs functional_test
+gcry_serpent: crypto
+bfs: fshelp
+usbserial_common: usb serial
+exfctest: functional_test
+exfat: fshelp
+all_video: efi_gop efi_uga video_bochs video_cirrus
Index: bootcd/boot/grub/x86_64-efi/partmap.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/partmap.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/partmap.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,11 @@
+part_acorn
+part_amiga
+part_apple
+part_bsd
+part_dfly
+part_dvh
+part_gpt
+part_msdos
+part_plan
+part_sun
+part_sunpc
Index: bootcd/boot/grub/x86_64-efi/parttool.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/parttool.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/parttool.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+msdos: msdospart
Index: bootcd/boot/grub/x86_64-efi/terminal.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/terminal.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/terminal.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,9 @@
+iat_keyboard: at_keyboard
+iserial: serial
+iserial_*: serial
+oaudio: morse
+ocbmemc: cbmemc
+ogfxterm: gfxterm
+oserial: serial
+oserial_*: serial
+ospkmodem: spkmodem
Index: bootcd/boot/grub/x86_64-efi/video.lst
===================================================================
--- bootcd/boot/grub/x86_64-efi/video.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ bootcd/boot/grub/x86_64-efi/video.lst	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,4 @@
+efi_gop
+efi_uga
+video_bochs
+video_cirrus
